Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.internal
Class EditorIDEPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.internal.EditorIDEPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class EditorIDEPlugin

extends AbstractUIPlugin

Editor IDE Plug-in

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`EditorIDEPlugin()` The constructor.

Method Summary
`static IEditorPart` `getActiveEditor()` Returns active editor
`static IWorkbenchPage` `getActivePage()` Returns active page
`static IWorkbenchWindow` `getActiveWorkbenchWindow()` Returns active workbench window
`static EditorIDEPlugin` `getInstance()` Returns the shared instance.
`static java.lang.String` `getPluginId()` Retrieves the unique identifier of this plug-in.
`static IWorkspace` `getWorkspace()` Returns the workspace instance.

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, start, startup, stop`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditorIDEPlugin

    public EditorIDEPlugin()

  The constructor.

Method Detail

### getInstance

    public static EditorIDEPlugin getInstance()

  Returns the shared instance.

  Returns:
    the plugin instance

### getWorkspace

    public static IWorkspace getWorkspace()

  Returns the workspace instance.

  Returns:
    the workspace

### getPluginId

    public static java.lang.String getPluginId()

  Retrieves the unique identifier of this plug-in.

  Returns:
    A non-empty string which is unique within the plug-in registry.

### getActiveWorkbenchWindow

    public static IWorkbenchWindow getActiveWorkbenchWindow()

  Returns active workbench window

  Returns:
    the active workbench window

### getActivePage

    public static IWorkbenchPage getActivePage()

  Returns active page

  Returns:
    the active page

### getActiveEditor

    public static IEditorPart getActiveEditor()

  Returns active editor

  Returns:
    the active editor

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.